Index: qoca/QcDelLinEqTableau.hh
===================================================================
--- qoca/QcDelLinEqTableau.hh	(revision 18891)
+++ qoca/QcDelLinEqTableau.hh	(working copy)
@@ -87,9 +87,9 @@
 	//-----------------------------------------------------------------------//
 	// Utility function.                                                     //
 	//-----------------------------------------------------------------------//
-	virtual void Print(ostream &os) const;
+	virtual void Print(std::ostream &os) const;
 
-	virtual void TransitiveClosure(vector<unsigned int> &vars)
+	virtual void TransitiveClosure(std::vector<unsigned int> &vars)
   		{ CAST(QcDelCoreTableau *, fCoreTableau)->TransitiveClosure(vars); }
 
 protected:
@@ -117,12 +117,12 @@
 {
 }
 
-inline void QcDelLinEqTableau::Print(ostream &os) const
+inline void QcDelLinEqTableau::Print(std::ostream &os) const
 {
 	QcLinEqTableau::Print(os);
 	fCoreTableau->Print(os);
-	os << endl << "Consistant: "
-		<< (IsValidSolvedForm() ? "yes" : "no") << endl;
+	os << std::endl << "Consistant: "
+		<< (IsValidSolvedForm() ? "yes" : "no") << std::endl;
 }
 
 #endif /* !__QcDelLinEqTableauH */
Index: qoca/QcVariableBiMap.hh
===================================================================
--- qoca/QcVariableBiMap.hh	(revision 18891)
+++ qoca/QcVariableBiMap.hh	(working copy)
@@ -2,13 +2,10 @@
 #include "QcVariableBiMap.H"
 #ifndef QcVariableBiMapIFN
 #define QcVariableBiMapIFN
-#line 1 "QcVariableBiMap.ch"
 
-#line 7 "QcVariableBiMap.ch"
 #include <qoca/QcAliasedBiMap.hh>
 
 
-#line 14 "QcVariableBiMap.ch"
 #define super QcAliasedBiMap<QcNullableFloat, QcFloat, QcFloatRep>
 
 
@@ -16,19 +13,15 @@
 
 
 
-#line 28 "QcVariableBiMap.ch"
 #ifndef NDEBUG
 
-#line 53 "QcVariableBiMap.ch"
 #endif
 
 
-#line 72 "QcVariableBiMap.ch"
 //-----------------------------------------------------------------------//
 // Query functions                                                       //
 //-----------------------------------------------------------------------//
 
-#line 103 "QcVariableBiMap.ch"
 /*
   Local Variables:
   mode:c++
Index: qoca/QcLinInEqSystem.hh
===================================================================
--- qoca/QcLinInEqSystem.hh	(revision 18891)
+++ qoca/QcLinInEqSystem.hh	(working copy)
@@ -97,7 +97,7 @@
 	virtual void Solve();
 
 protected:
-	vector<unsigned int> fArtVars;
+	std::vector<unsigned int> fArtVars;
 	
 	virtual int AddToTableau(QcConstraint &c);
 		// Does first part of addConstraint, calling the correct tableau
Index: qoca/QcSparseMatrix.cc
===================================================================
--- qoca/QcSparseMatrix.cc	(revision 18891)
+++ qoca/QcSparseMatrix.cc	(working copy)
@@ -34,6 +34,8 @@
 # define MAX(_a, _b) ((_a) > (_b) ? (_a) : (_b))
 #endif
 
+using namespace std;
+
 QcSparseMatrix::~QcSparseMatrix()
 {
   TrimRows( 0);
Index: qoca/QcLinEqColStateVector.H
===================================================================
--- qoca/QcLinEqColStateVector.H	(revision 18891)
+++ qoca/QcLinEqColStateVector.H	(working copy)
@@ -1,7 +1,6 @@
 // Generated automatically from QcLinEqColStateVector.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #ifndef QcLinEqColStateVectorDCL
 #define QcLinEqColStateVectorDCL
-#line 1 "QcLinEqColStateVector.ch"
 // $Id: QcLinEqColStateVector.ch,v 1.2 2000/12/06 05:32:56 pmoulder Exp $
 
 //============================================================================//
@@ -56,13 +55,11 @@
 
 void
 assertLinkageInvar() const;
-#line 113 "QcLinEqColStateVector.ch"
 protected:
 
 
 virtual void
 virtualAssertLinkageInvar() const;
-#line 121 "QcLinEqColStateVector.ch"
 #endif /* !NDEBUG */
 
 
@@ -73,63 +70,48 @@
 
 inline numT
 GetDesireValue(unsigned i) const;
-#line 136 "QcLinEqColStateVector.ch"
 inline bool
 IsBasic(unsigned i) const;
-#line 143 "QcLinEqColStateVector.ch"
 inline int
 IsBasicIn(unsigned i) const;
-#line 151 "QcLinEqColStateVector.ch"
 //-----------------------------------------------------------------------//
 // Set functions.                                                        //
 //-----------------------------------------------------------------------//
 inline void
 SetDesireValue(unsigned i, numT dv) const;
-#line 161 "QcLinEqColStateVector.ch"
 inline QcLinEqColState *
 head( bool isbasic);
-#line 172 "QcLinEqColStateVector.ch"
 void
 SetBasic(unsigned i, bool b);
-#line 187 "QcLinEqColStateVector.ch"
 inline void
 SetBasicIn(unsigned i, int bi) const;
-#line 195 "QcLinEqColStateVector.ch"
 //-----------------------------------------------------------------------//
 // Manipulation functions.                                               //
 //-----------------------------------------------------------------------//
 
 virtual void
 FixLinkage();
-#line 223 "QcLinEqColStateVector.ch"
 inline void
 Link(QcLinEqColState *state, QcLinEqColState *head);
-#line 238 "QcLinEqColStateVector.ch"
 inline void
 Unlink(QcLinEqColState *state);
-#line 251 "QcLinEqColStateVector.ch"
 protected:
 
 
 virtual void
 Alloc(QcState **start, QcState **finish);
-#line 269 "QcLinEqColStateVector.ch"
 virtual void
 AddToList(QcState **start, QcState **finish);
-#line 292 "QcLinEqColStateVector.ch"
 virtual void
 RemoveFromList(QcState **start, QcState **finish);
-#line 310 "QcLinEqColStateVector.ch"
 public:
 
 
 virtual void
-Print(ostream &os) const;
-#line 339 "QcLinEqColStateVector.ch"
+Print(std::ostream &os) const;
 private:
 inline QcLinEqColState *
 getState(unsigned i) const;
-#line 351 "QcLinEqColStateVector.ch"
 public:
   QcLinEqColState fParamHead; // head of linked list of non-basic variables.
   QcLinEqColState fBasicHead; // head of linked list of basic variables.
Index: qoca/QcConstraint.hh
===================================================================
--- qoca/QcConstraint.hh	(revision 18891)
+++ qoca/QcConstraint.hh	(working copy)
@@ -184,7 +184,7 @@
 	//------------------------------------------------------------------------//
 	// Utility functions                                                      //
 	//------------------------------------------------------------------------//
-	void Print(ostream &os) const
+	void Print(std::ostream &os) const
 		{ fRep->Print(os); }
 
 	bool isDead() const
@@ -312,7 +312,7 @@
 #endif /* QOCA_NO_FANCY_OPERATORS */
 
 #ifndef qcNoStream
-inline ostream &operator<<(ostream &os, const QcConstraint &c)
+inline std::ostream &operator<<(std::ostream &os, const QcConstraint &c)
 {
 	c.Print(os);
 	return os;
Index: qoca/QcLinPoly.hh
===================================================================
--- qoca/QcLinPoly.hh	(revision 18891)
+++ qoca/QcLinPoly.hh	(working copy)
@@ -109,7 +109,7 @@
 	//-----------------------------------------------------------------------//
 	// Utility functions                                                     //
 	//-----------------------------------------------------------------------//
-	virtual void Print(ostream &os) const;
+	virtual void Print(std::ostream &os) const;
 
 private:
 	void doPlus(numT coeff, QcFloatRep *var);
@@ -199,7 +199,7 @@
 }
 
 #ifndef qcNoStream
-inline ostream& operator<<(ostream &os, const QcLinPoly &p)
+inline std::ostream& operator<<(std::ostream &os, const QcLinPoly &p)
 {
 	p.Print(os);
 	return os;
Index: qoca/QcLinInEqSolver.hh
===================================================================
--- qoca/QcLinInEqSolver.hh	(revision 18891)
+++ qoca/QcLinInEqSolver.hh	(working copy)
@@ -150,7 +150,7 @@
 	void SubSysEqSolve();
 
 public:
-	virtual void Print(ostream &os) const;
+	virtual void Print(std::ostream &os) const;
 	virtual void Restart();
 	void TransitiveClosure();
 		// Calculate fDepBasicVars and fDepPars as transitive closure of
@@ -226,8 +226,8 @@
       }
 
   private:
-    vector<QcNullableFloat> fDual;			// The complementary variables.
-    vector<unsigned int> fDualIndex;	// The complementary variable indices.
+    std::vector<QcNullableFloat> fDual;			// The complementary variables.
+    std::vector<unsigned int> fDualIndex;	// The complementary variable indices.
   };
 
 
@@ -262,12 +262,12 @@
   /** Index of artificial variable in fSubSystem. */
   int fAI;
 
-  vector<unsigned int> fDepPars;
-  vector<unsigned int> fVarsByIndex;
-  vector<bool> fDepBasicVars;
-  vector<bool> fDepParVars;
-  vector<QcFloat> fDesValVar;
-  vector<int> fDesValIndex;
+  std::vector<unsigned int> fDepPars;
+  std::vector<unsigned int> fVarsByIndex;
+  std::vector<bool> fDepBasicVars;
+  std::vector<bool> fDepParVars;
+  std::vector<QcFloat> fDesValVar;
+  std::vector<int> fDesValIndex;
 
   QcVariableBiMap &fVBiMap;
   const QcBiMapNotifier &fNotifier;
Index: qoca/QcException.hh
===================================================================
--- qoca/QcException.hh	(revision 18891)
+++ qoca/QcException.hh	(working copy)
@@ -31,7 +31,7 @@
 #include "qoca/QcDefines.hh"
 
 #ifndef qcNoStream
-#include <iostream.h>
+#include <iostream>
 #endif
 
 //#ifdef DEBUG
Index: qoca/QcLinEqSystem.cc
===================================================================
--- qoca/QcLinEqSystem.cc	(revision 18891)
+++ qoca/QcLinEqSystem.cc	(working copy)
@@ -38,6 +38,8 @@
 #include "qoca/QcConstraintIndexIterator.hh"
 #include "qoca/QcDenseTableauRowIterator.hh"
 
+using namespace std;
+
 #if qcCheckInternalInvar
 void QcLinEqSystem::assertDeepInvar() const
 {
Index: qoca/QcOrigRowStateVector.H
===================================================================
--- qoca/QcOrigRowStateVector.H	(revision 18891)
+++ qoca/QcOrigRowStateVector.H	(working copy)
@@ -1,7 +1,6 @@
 // Generated automatically from QcOrigRowStateVector.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #ifndef QcOrigRowStateVectorDCL
 #define QcOrigRowStateVectorDCL
-#line 1 "QcOrigRowStateVector.ch"
 // $Id: QcOrigRowStateVector.ch,v 1.2 2000/12/06 05:32:56 pmoulder Exp $
 // Originally written by Alan Finlay and Sitt Sen Chok
 
@@ -41,68 +40,54 @@
 
 inline
 QcOrigRowStateVector();
-#line 44 "QcOrigRowStateVector.ch"
 //-----------------------------------------------------------------------//
 // Query functions.                                                      //
 //-----------------------------------------------------------------------//
 
 inline bool
 GetARowDeleted(unsigned i) const;
-#line 55 "QcOrigRowStateVector.ch"
 inline int
 GetMRowIndex(unsigned i) const;
-#line 63 "QcOrigRowStateVector.ch"
 inline numT
 GetRHS(unsigned i) const;
-#line 71 "QcOrigRowStateVector.ch"
 //-----------------------------------------------------------------------//
 // Set* functions.
 //-----------------------------------------------------------------------//
 inline void
 SetARowDeleted(unsigned i, bool d);
-#line 81 "QcOrigRowStateVector.ch"
 inline void
 SetMRowIndex(unsigned i, int ri);
-#line 88 "QcOrigRowStateVector.ch"
 inline void
 SetRHS(unsigned i, numT rhs);
-#line 95 "QcOrigRowStateVector.ch"
 //-----------------------------------------------------------------------//
 // Manipulation functions.                                               //
 //-----------------------------------------------------------------------//
 
 virtual void
 FixLinkage();
-#line 104 "QcOrigRowStateVector.ch"
 protected:
 
 
 virtual void
 Alloc(QcState **start, QcState **finish);
-#line 122 "QcOrigRowStateVector.ch"
 virtual void
 AddToList(QcState **start, QcState **finish);
-#line 135 "QcOrigRowStateVector.ch"
 virtual void
 RemoveFromList(QcState **start, QcState **finish);
-#line 152 "QcOrigRowStateVector.ch"
 #ifndef NDEBUG
 
 virtual void
 virtualAssertLinkageInvar() const;
-#line 165 "QcOrigRowStateVector.ch"
 #endif
 
 public:
 
 
 virtual inline void
-Print(ostream &os) const;
-#line 178 "QcOrigRowStateVector.ch"
+Print(std::ostream &os) const;
 private:
 inline QcOrigRowState *
 getState( unsigned i) const;
-#line 188 "QcOrigRowStateVector.ch"
 };
 
 
Index: qoca/QcQuasiColStateVector.hh
===================================================================
--- qoca/QcQuasiColStateVector.hh	(revision 18891)
+++ qoca/QcQuasiColStateVector.hh	(working copy)
@@ -45,7 +45,7 @@
   //-----------------------------------------------------------------------//
   // Utility functions.                                                    //
   //-----------------------------------------------------------------------//
-  virtual void Print(ostream &os) const;
+  virtual void Print(std::ostream &os) const;
 };
 
 inline QcQuasiColStateVector::QcQuasiColStateVector()
@@ -53,9 +53,9 @@
 {
 }
 
-inline void QcQuasiColStateVector::Print(ostream &os) const
+inline void QcQuasiColStateVector::Print(std::ostream &os) const
 {
-	os << endl << "Column State Vector:";
+	os << std::endl << "Column State Vector:";
 	QcStateVector::Print(os);
 }
 
Index: qoca/QcDelCoreTableau.hh
===================================================================
--- qoca/QcDelCoreTableau.hh	(revision 18891)
+++ qoca/QcDelCoreTableau.hh	(working copy)
@@ -151,14 +151,14 @@
 	virtual void ScaleRow(unsigned row, numT factor);
 	virtual void CopyColumn(unsigned destCol, unsigned srcCol);
 
-	void TransitiveClosure(vector<unsigned int> &vars) const;
+	void TransitiveClosure(std::vector<unsigned int> &vars) const;
 		// Compute the transitive closure of a set of variables, using the
 		// relation "belong to the same original constraint".
 
 	//-----------------------------------------------------------------------//
 	// Utility functions.                                                    //
 	//-----------------------------------------------------------------------//
-	virtual void Print(ostream &os) const;
+	virtual void Print(std::ostream &os) const;
 };
 
 inline void QcDelCoreTableau::AddScaledRow(unsigned destRow, unsigned srcRow,
@@ -242,7 +242,7 @@
 }
 
 #ifndef qcNoStream
-inline ostream &operator<<(ostream &os, const QcDelCoreTableau &t)
+inline std::ostream &operator<<(std::ostream &os, const QcDelCoreTableau &t)
 {
 	t.Print(os);
 	return os;
Index: qoca/KeyIterator.hh
===================================================================
--- qoca/KeyIterator.hh	(revision 18891)
+++ qoca/KeyIterator.hh	(working copy)
@@ -1,7 +1,7 @@
 #ifndef KeyIteratorHH
 #define KeyIteratorHH
 
-template <class Iterator, class Key>
+template <class Iterator, typename Key>
 class KeyIterator
   : public Iterator
 {
Index: qoca/QcLinPolyTerm.hh
===================================================================
--- qoca/QcLinPolyTerm.hh	(revision 18891)
+++ qoca/QcLinPolyTerm.hh	(working copy)
@@ -121,7 +121,7 @@
 	// Utility functions.                                                    //
 	//-----------------------------------------------------------------------//
 public:
-	virtual void Print(ostream &os) const;
+	virtual void Print(std::ostream &os) const;
 
 private:
 	numT fCoeff;
@@ -159,7 +159,7 @@
 }
 #endif
 
-inline void QcLinPolyTerm::Print(ostream &os) const
+inline void QcLinPolyTerm::Print(std::ostream &os) const
 {
   const char *name = fVariable.Name();
 
@@ -209,7 +209,7 @@
   return QcLinPolyTerm( coeff, var);
 }
 
-inline ostream& operator<<(ostream &os, const QcLinPolyTerm &term)
+inline std::ostream& operator<<(std::ostream &os, const QcLinPolyTerm &term)
 {
   term.Print( os);
   return os;
Index: qoca/QcCoreTableau.hh
===================================================================
--- qoca/QcCoreTableau.hh	(revision 18891)
+++ qoca/QcCoreTableau.hh	(working copy)
@@ -217,7 +217,7 @@
 	//-----------------------------------------------------------------------//
 	// Utility functions.                                                    //
 	//-----------------------------------------------------------------------//
-	virtual void Print(ostream &os) const;
+	virtual void Print(std::ostream &os) const;
 
 protected:
 	QcQuasiRowColStateVector &fRowColState;
@@ -268,7 +268,7 @@
 }
 
 #ifndef qcNoStream
-inline ostream &operator<<(ostream &os, const QcCoreTableau &t)
+inline std::ostream &operator<<(std::ostream &os, const QcCoreTableau &t)
 {
 	t.Print(os);
 	return os;
Index: qoca/QcLinEqSolver.cc
===================================================================
--- qoca/QcLinEqSolver.cc	(revision 18891)
+++ qoca/QcLinEqSolver.cc	(working copy)
@@ -33,6 +33,8 @@
 #include "qoca/QcSparseMatrixRowIterator.hh"
 #include "qoca/QcVariableIndexIterator.hh"
 
+using namespace std;
+
 #ifndef NDEBUG
 void QcLinEqSolver::assertDeepInvar() const
 {
Index: qoca/QcOrigRowState.hh
===================================================================
--- qoca/QcOrigRowState.hh	(revision 18891)
+++ qoca/QcOrigRowState.hh	(working copy)
@@ -47,7 +47,7 @@
 	//-----------------------------------------------------------------------//
 	// Utility functions.                                                    //
 	//-----------------------------------------------------------------------//
-  	virtual void Print(ostream &os);
+  	virtual void Print(std::ostream &os);
 };
 
 inline QcOrigRowState::QcOrigRowState(int ci)
@@ -58,7 +58,7 @@
 {
 }
 
-inline void QcOrigRowState::Print(ostream &os)
+inline void QcOrigRowState::Print(std::ostream &os)
 {
 	os << "[RHS(" << fRHS << "),"
 		<< "[MRowIndex(" << fMRowIndex << "),"
Index: qoca/QcSolver.cc
===================================================================
--- qoca/QcSolver.cc	(revision 18891)
+++ qoca/QcSolver.cc	(working copy)
@@ -1,6 +1,5 @@
 // Generated automatically from QcSolver.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #include "QcSolver.hh"
-#line 1 "QcSolver.ch"
 // $Id: QcSolver.ch,v 1.21 2001/01/30 01:32:08 pmoulder Exp $
 
 //============================================================================//
@@ -27,22 +26,20 @@
 // included with the above copyright notice.                                  //
 //============================================================================//
 
-#include <vector.h>
-#include <algo.h>
+#include <vector>
+#include <algorithm>
 #include "qoca/QcConstraint.hh"
 #include <qoca/QcFixedFloatRep.hh>
 
 
+using namespace std;
 
 
 
-
 //-----------------------------------------------------------------------//
 // Constructor.                                                          //
 //-----------------------------------------------------------------------//
-#line 52 "QcSolver.ch"
 #if qcCheckInternalInvar
-#line 59 "QcSolver.ch"
 void
 QcSolver::assertDeepInvar() const
 {
@@ -71,7 +68,6 @@
 //-----------------------------------------------------------------------//
 
 
-#line 96 "QcSolver.ch"
 void
 QcSolver::addVar (QcFloatRep *v)
 {
@@ -95,7 +91,6 @@
 
 
 
-#line 125 "QcSolver.ch"
 bool
 QcSolver::RemoveVar (QcFloat &v)
 {
@@ -104,12 +99,10 @@
 }
 
 
-#line 156 "QcSolver.ch"
 //-----------------------------------------------------------------------//
 // Enquiry functions for variables                                       //
 //-----------------------------------------------------------------------//
 
-#line 169 "QcSolver.ch"
 bool QcSolver::IsFree (QcFloat const &v) const
 {
   UNUSED(v);
@@ -118,7 +111,6 @@
 
 
 
-#line 194 "QcSolver.ch"
 bool
 QcSolver::IsEditVar(QcFloat const &v) const
 {
@@ -132,7 +124,6 @@
 }
 
 
-#line 214 "QcSolver.ch"
 /* ----------------------------------------------------------------------
    High Level Edit Variable Interface for use by solver clients. Edit
    variables are set and unset with the following interface. The
@@ -154,7 +145,6 @@
 }
 
 
-#line 268 "QcSolver.ch"
 void
 QcSolver::EndEdit()
 {
@@ -167,13 +157,11 @@
 }
 
 
-#line 285 "QcSolver.ch"
 //-----------------------------------------------------------------------//
 // Constraint management methods                                         //
 //-----------------------------------------------------------------------//
 
 
-#line 313 "QcSolver.ch"
 #ifdef qcCheckPost /* swallow nyi unless compiled with qcCheckPost defined */
 bool QcSolver::swallow (QcSolver *other)
 {
@@ -195,7 +183,6 @@
 
 
 
-#line 383 "QcSolver.ch"
 void
 QcSolver::AddWeightedConstraint(QcConstraint &c, numT weight)
 {
@@ -257,7 +244,6 @@
 
 
 
-#line 497 "QcSolver.ch"
 bool
 QcSolver::EndAddConstraint()
 {
@@ -279,7 +265,6 @@
 
 
 
-#line 522 "QcSolver.ch"
 bool QcSolver::RemoveConstraint(QcConstraint &c)
 {
   UNUSED(c);
@@ -288,12 +273,10 @@
 
 
 
-#line 546 "QcSolver.ch"
 //-----------------------------------------------------------------------//
 // Constraint Solving methods                                            //
 //-----------------------------------------------------------------------//
 
-#line 579 "QcSolver.ch"
 //-----------------------------------------------------------------------//
 // Low Level Edit Variable Interface for use by solvers. These functions //
 // manipulate the set of edit variables without any adjustment of the    //
@@ -302,7 +285,6 @@
 //-----------------------------------------------------------------------//
 
 
-#line 599 "QcSolver.ch"
 void QcSolver::RemoveEditVar (QcFloat &v)
 {
   vector<QcFloat>::iterator it;
@@ -321,7 +303,6 @@
 }
 
 
-#line 625 "QcSolver.ch"
 //-----------------------------------------------------------------------//
 // Utility functions.                                                    //
 //-----------------------------------------------------------------------//
@@ -352,7 +333,6 @@
 
 #if qcCheckPost
 
-#line 671 "QcSolver.ch"
 void QcSolver::checkSatisfied() const
 {
   for (int i = checkedConstraints.size(); --i >= 0;)
@@ -363,7 +343,6 @@
 }
 
 
-#line 689 "QcSolver.ch"
 void
 QcSolver::removeCheckedConstraint(QcConstraintRep *c)
 {
@@ -398,13 +377,10 @@
 }
 
 
-#line 747 "QcSolver.ch"
 #endif
 
 
-#line 769 "QcSolver.ch"
 #ifndef qcNoStream
-#line 775 "QcSolver.ch"
 #endif
 
 /*
Index: qoca/QcLinEqRowState.hh
===================================================================
--- qoca/QcLinEqRowState.hh	(revision 18891)
+++ qoca/QcLinEqRowState.hh	(working copy)
@@ -53,7 +53,7 @@
 	//-----------------------------------------------------------------------//
 	// Utility functions.                                                    //
 	//-----------------------------------------------------------------------//
-	virtual void Print(ostream &os);
+	virtual void Print(std::ostream &os);
 
   int getCondition() const
   {
@@ -108,7 +108,7 @@
 	fBasicVar = QcTableau::fInvalidVariableIndex;
 }
 
-inline void QcLinEqRowState::Print(ostream &os)
+inline void QcLinEqRowState::Print(std::ostream &os)
 {
 	QcQuasiRowState::Print(os);
 
Index: qoca/QcUtility.hh
===================================================================
--- qoca/QcUtility.hh	(revision 18891)
+++ qoca/QcUtility.hh	(working copy)
@@ -60,26 +60,26 @@
 	//-----------------------------------------------------------------------//
 
   static bool IsVaguelyZero(numT val)
-    { return fabs( val) < qcVaguelyNearEps; }
+    { return fabs( val) < QcUtility::qcVaguelyNearEps; }
 
   static bool IsNearZero(numT val)
-    { return fabs( val) < qcNearEps; }
+    { return fabs( val) < QcUtility::qcNearEps; }
 
   static bool IsZero(double val)
-    { return fabs( val) < qcEps; }
+    { return fabs( val) < QcUtility::qcEps; }
 
   static bool IsOne(double val)
-    { return IsZero( val - 1.0); }
+    { return QcUtility::IsZero( val - 1.0); }
 
   static bool IsNegative(numT val)
-    { return (val <= -qcEps); }
+    { return (val <= -QcUtility::qcEps); }
 
   static bool IsPositive(numT val)
-    { return (val >= qcEps); }
+    { return (val >= QcUtility::qcEps); }
 
   static double Zeroise(double val)
     {
-      return (IsZero( val)
+      return (QcUtility::IsZero( val)
 	      ? 0.0
 	      : val);
     }
@@ -87,7 +87,7 @@
 #ifndef NDEBUG
   static bool IsZeroised(double val)
     {
-      return (val == 0 || !IsZero( val));
+      return (val == 0 || !QcUtility::IsZero( val));
     }
 #endif
 
Index: qoca/QcSolvedFormMatrix.hh
===================================================================
--- qoca/QcSolvedFormMatrix.hh	(revision 18891)
+++ qoca/QcSolvedFormMatrix.hh	(working copy)
@@ -118,7 +118,7 @@
   unsigned fColumns;
 #endif
 #ifdef qcRealTableauRHS
-  vector<numT> fRHS;
+  std::vector<numT> fRHS;
 #elif !defined(qcRealTableauCoeff) && qcCheckInternalPre
   unsigned fRows;
 #endif
Index: qoca/QcTableau.hh
===================================================================
--- qoca/QcTableau.hh	(revision 18891)
+++ qoca/QcTableau.hh	(working copy)
@@ -166,8 +166,8 @@
 	//-----------------------------------------------------------------------//
 	// Utility functions.                                                    //
 	//-----------------------------------------------------------------------//
-	virtual void Print(ostream &os) const;
-	virtual void TransitiveClosure(vector<unsigned int> &vars);
+	virtual void Print(std::ostream &os) const;
+	virtual void TransitiveClosure(std::vector<unsigned int> &vars);
 };
 
 inline QcTableau::QcTableau(QcBiMapNotifier &n)
@@ -192,11 +192,11 @@
   	return false;
 }
 
-inline void QcTableau::Print(ostream &os) const
+inline void QcTableau::Print(std::ostream &os) const
 {
-	os << "Begin[Tableau]" << endl;
+	os << "Begin[Tableau]" << std::endl;
 	fNotifier.Print(os);
-	os << "End[Tableau]" << endl;
+	os << "End[Tableau]" << std::endl;
 }
 
 inline int QcTableau::RemoveEq(unsigned ci)
@@ -213,7 +213,7 @@
   	return false;
 }
 
-inline void QcTableau::TransitiveClosure(vector<unsigned int> &vars)
+inline void QcTableau::TransitiveClosure(std::vector<unsigned int> &vars)
 {
 	UNUSED(vars);
 	throw QcWarning("Error: Should not call QcTableau::TransitiveClosure");
Index: qoca/QcCompPivotTableau.hh
===================================================================
--- qoca/QcCompPivotTableau.hh	(revision 18891)
+++ qoca/QcCompPivotTableau.hh	(working copy)
@@ -92,7 +92,7 @@
 	//------------------------------------------------------------------------//
 	// Utility functions.                                                     //
 	//------------------------------------------------------------------------//
-	virtual void Print(ostream &os) const;
+	virtual void Print(std::ostream &os) const;
 };
 
 inline QcCompPivotTableau::QcCompPivotTableau(int hintRows, int hintCols,
Index: qoca/QcDelLinEqTableau.cc
===================================================================
--- qoca/QcDelLinEqTableau.cc	(revision 18891)
+++ qoca/QcDelLinEqTableau.cc	(working copy)
@@ -24,7 +24,7 @@
 // included with the above copyright notice.                                  //
 //============================================================================//
 
-#include <math.h>
+#include <cmath>
 #include "qoca/QcDefines.hh"
 #include "qoca/QcDelLinEqTableau.hh"
 #ifdef qcDenseQuasiInverse
Index: qoca/QcVariableBiMap.cc
===================================================================
--- qoca/QcVariableBiMap.cc	(revision 18891)
+++ qoca/QcVariableBiMap.cc	(working copy)
@@ -1,12 +1,10 @@
 // Generated automatically from QcVariableBiMap.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #include "QcVariableBiMap.hh"
-#line 1 "QcVariableBiMap.ch"
 
-#line 10 "QcVariableBiMap.ch"
 #include <stdio.h>
 
+using namespace std;
 
-
 #define super QcAliasedBiMap<QcNullableFloat, QcFloat, QcFloatRep>
 
 
@@ -14,7 +12,6 @@
 
 
 
-#line 28 "QcVariableBiMap.ch"
 #ifndef NDEBUG
 
 void
Index: qoca/QcVariableBiMap.H
===================================================================
--- qoca/QcVariableBiMap.H	(revision 18891)
+++ qoca/QcVariableBiMap.H	(working copy)
@@ -1,14 +1,12 @@
 // Generated automatically from QcVariableBiMap.ch by /home/pmoulder/usr/local/bin/ch2xx.
 #ifndef QcVariableBiMapDCL
 #define QcVariableBiMapDCL
-#line 1 "QcVariableBiMap.ch"
 
 #include <qoca/QcDefines.hh>
 #include <qoca/QcAliasedBiMap.H>
 #include <qoca/QcNullableFloat.hh>
 
 
-#line 14 "QcVariableBiMap.ch"
 #define super QcAliasedBiMap<QcNullableFloat, QcFloat, QcFloatRep>
 
 class QcVariableBiMap
@@ -27,29 +25,23 @@
 
 void
 assertInvar() const;
-#line 40 "QcVariableBiMap.ch"
 void
 assertDeepInvar() const;
-#line 48 "QcVariableBiMap.ch"
 virtual void
 vAssertDeepInvar() const;
-#line 53 "QcVariableBiMap.ch"
 #endif
 
 
 void
 Update(QcFloat const &ident, int index);
-#line 64 "QcVariableBiMap.ch"
 void
 Update(QcFloatRep *ident, int index);
-#line 72 "QcVariableBiMap.ch"
 //-----------------------------------------------------------------------//
 // Query functions                                                       //
 //-----------------------------------------------------------------------//
 
 void
-GetVariableSet(vector<QcFloat> &vars);
-#line 100 "QcVariableBiMap.ch"
+GetVariableSet(std::vector<QcFloat> &vars);
 };
 
 
Index: qoca/QcLinInEqSystem.cc
===================================================================
--- qoca/QcLinInEqSystem.cc	(revision 18891)
+++ qoca/QcLinInEqSystem.cc	(working copy)
@@ -38,6 +38,8 @@
 #include "qoca/QcTableauColIterator.hh"
 #include "qoca/QcDenseTableauRowIterator.hh"
 
+using namespace std;
+
 bool QcLinInEqSystem::AddConstraint(QcConstraint &c)
 {
 	return doAddConstraint(c, -1);
Index: qoca/QcConstraintRep.hh
===================================================================
--- qoca/QcConstraintRep.hh	(revision 18891)
+++ qoca/QcConstraintRep.hh	(working copy)
@@ -195,7 +195,7 @@
 	//-----------------------------------------------------------------------//
 	// Utility functions                                                     //
 	//-----------------------------------------------------------------------//
-	virtual void Print(ostream &os) const;
+	virtual void Print(std::ostream &os) const;
 
 protected:
 	static TId fNextValidId;
@@ -320,7 +320,7 @@
 #endif
 
 #ifndef qcNoStream
-inline ostream &operator<<(ostream &os, const QcConstraintRep &r)
+inline std::ostream &operator<<(std::ostream &os, const QcConstraintRep &r)
 {
 	r.Print(os);
 	return os;
Index: qoca/QcQuasiRowColStateVector.hh
===================================================================
--- qoca/QcQuasiRowColStateVector.hh	(revision 18891)
+++ qoca/QcQuasiRowColStateVector.hh	(working copy)
@@ -2,7 +2,6 @@
 #include "QcQuasiRowColStateVector.H"
 #ifndef QcQuasiRowColStateVectorIFN
 #define QcQuasiRowColStateVectorIFN
-#line 1 "QcQuasiRowColStateVector.ch"
 // $Id: QcQuasiRowColStateVector.ch,v 1.4 2001/01/30 01:32:08 pmoulder Exp $
 
 //============================================================================//
@@ -49,7 +48,6 @@
 }
 
 
-#line 63 "QcQuasiRowColStateVector.ch"
 //-----------------------------------------------------------------------//
 // Manipulation functions.                                               //
 //-----------------------------------------------------------------------//
@@ -69,21 +67,19 @@
 
 #if 0 /* unused */
 
-#line 135 "QcQuasiRowColStateVector.ch"
 #endif /* unused */
 
 //-----------------------------------------------------------------------//
 // Utility functions.                                                    //
 //-----------------------------------------------------------------------//
 inline void
-QcQuasiRowColStateVector::Print(ostream &os)
+QcQuasiRowColStateVector::Print(std::ostream &os)
 {
   fRowState->Print(os);
   fColState->Print(os);
 }
 
 
-#line 155 "QcQuasiRowColStateVector.ch"
 /*
   Local Variables:
   mode:c++
